: Class Jemboss

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss
Class Jemboss

    java.lang.Object
      |
      +--org.emboss.jemboss.Jemboss

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

public class Jemboss
extends java.lang.Object
implements java.awt.event.ActionListener

Java interface to EMBOSS (http://www.emboss.org/) (i) standalone - with a locally installation of EMBOSS. (ii) client / server mode - download the client from a site, such as the HGMP, which runs the Jemboss server.

Inner Class Summary
`(package private) class` | `Jemboss.winExit` Extends WindowAdapter to close window

Field Summary
`static java.awt.Dimension` | `jdim` Jemboss window dimension
`static java.awt.Dimension` | `jdimExtend`
`(package private) static uk.ac.mrc.hgmp.embreo.EmbreoParams` | `mysettings` SOAP settings
`static PendingResults` | `resultsManager` to manage the pending results
`static DragTree` | `tree`
`(package private) static boolean` | `withSoap` true if in client-server mode (using SOAP)

Constructor Summary
`Jemboss()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Action event to open the file manager
`static void` | `main(java.lang.String[] args)` Launches Jemboss in standalone or client-server mode.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tree

    public static DragTree tree

### mysettings

    static uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings

  SOAP settings

### withSoap

    static boolean withSoap

  true if in client-server mode (using SOAP)

### resultsManager

    public static PendingResults resultsManager

  to manage the pending results

### jdim

    public static java.awt.Dimension jdim

  Jemboss window dimension

### jdimExtend

    public static java.awt.Dimension jdimExtend

Constructor Detail

### Jemboss

    public Jemboss()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Action event to open the file manager
  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### main

    public static void main(java.lang.String[] args)

  Launches Jemboss in standalone or client-server mode.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD